v1 control plane
Update Environment Quotas
Update operational safety limits; this endpoint does not change billing.
Update Environment Quotas
curl --request PATCH \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/quotas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"expected_revision": 2,
"limits": {
"active_participant_sessions": 500000,
"active_subjects": 5000000,
"behavioral_event_batch_size": 50,
"continuous_event_batch_size": 50,
"evaluations": 50000000,
"programs": 50000,
"webhook_endpoints": 5000
}
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/quotas"
payload = {
"expected_revision": 2,
"limits": {
"active_participant_sessions": 500000,
"active_subjects": 5000000,
"behavioral_event_batch_size": 50,
"continuous_event_batch_size": 50,
"evaluations": 50000000,
"programs": 50000,
"webhook_endpoints": 5000
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
expected_revision: 2,
limits: {
active_participant_sessions: 500000,
active_subjects: 5000000,
behavioral_event_batch_size: 50,
continuous_event_batch_size: 50,
evaluations: 50000000,
programs: 50000,
webhook_endpoints: 5000
}
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/quotas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limits": {
"active_participant_sessions": 500000,
"active_subjects": 5000000,
"behavioral_event_batch_size": 50,
"continuous_event_batch_size": 50,
"evaluations": 50000000,
"programs": 50000,
"webhook_endpoints": 5000
},
"revision": 2,
"schema_version": 1,
"usage": {
"active_participant_sessions": 1,
"active_subjects": 1,
"behavioral_event_batch_size": 0,
"continuous_event_batch_size": 0,
"evaluations": 1,
"programs": 1,
"webhook_endpoints": 1
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Body
application/json
⌘I
Update Environment Quotas
